# Record TCefTextfieldDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTextfieldDelegate = record`

## Description

Implement this structure to handle Textfield events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefTextfieldDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_textfield_delegate_capi.h">CEF source file: /include/capi/views/cef_textfield_delegate_capi.h (cef_textfield_delegate_t))

## Overview

### Fields

| `base: TCefViewDelegate;`
| `on_key_event: function(self: PCefTextfieldDelegate; textfield: PCefTextfield; const event: PCefKeyEvent): Integer; stdcall;`
| `on_after_user_action: procedure(self: PCefTextfieldDelegate; textfield: PCefTextfield); stdcall;`

## Description

### Fields

| `base: TCefViewDelegate;`
This item has no description.

| `on_key_event: function(self: PCefTextfieldDelegate; textfield: PCefTextfield; const event: PCefKeyEvent): Integer; stdcall;`
This item has no description.

| `on_after_user_action: procedure(self: PCefTextfieldDelegate; textfield: PCefTextfield); stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.